Extending Qt Creator Manual | ProjectNode

Extending Qt Creator Manual 4.3.0

# ProjectNode Class

(ProjectExplorer::ProjectNode)

The ProjectNode class is an in-memory presentation of a Project. More...

Header: | #include <ProjectNode>
Inherits: | ProjectExplorer::FolderNode

- List of all members, including inherited members

## Public Functions

virtual bool | addSubProject(const QString &proFile)
virtual bool | canAddSubProject(const QString &proFilePath) const
virtual bool | deploysFolder(const QString &folder) const
ProjectNode * | projectNode(const Utils::FileName &file) const
virtual bool | removeSubProject(const QString &proFilePath)
virtual QList<RunConfiguration *> | runConfigurations() const

## Reimplemented Public Functions

virtual ProjectNode * | asProjectNode() final
virtual const ProjectNode * | asProjectNode() const final

- 27 public functions inherited from ProjectExplorer::FolderNode
- 26 public functions inherited from ProjectExplorer::Node

## Protected Functions

| ProjectNode(const Utils::FileName &projectFilePath)

- 2 protected functions inherited from ProjectExplorer::Node

### Additional Inherited Members

- 3 static public members inherited from ProjectExplorer::Node

## Detailed Description

The ProjectNode class is an in-memory presentation of a Project.

A concrete subclass must implement the persistent data.

See also ProjectExplorer::FileNode and ProjectExplorer::FolderNode.

## Member Function Documentation

### `[protected]` ProjectNode::ProjectNode(const Utils::FileName &projectFilePath)

Creates an uninitialized project node object.

### `[virtual]` bool ProjectNode::addSubProject(const QString &proFile)

### `[final virtual]` ProjectNode *ProjectNode::asProjectNode()

### `[final virtual]` const ProjectNode *ProjectNode::asProjectNode() const

### `[virtual]` bool ProjectNode::canAddSubProject(const QString &proFilePath) const

### `[virtual]` bool ProjectNode::deploysFolder(const QString &folder) const

### ProjectNode *ProjectNode::projectNode(const Utils::FileName &file) const

### `[virtual]` bool ProjectNode::removeSubProject(const QString &proFilePath)

### `[virtual]` QList<RunConfiguration *> ProjectNode::runConfigurations() const

Returns a list of `RunConfiguration` suitable for this node.